Subject: Re: /opt (NOT!) <[email-masked]>

From: "L. Todd Masco" <[email-masked]>

[email-masked] writes:
 > > it's too "SVr4"ish.   Do you have the slightest idea of how init
 > > levels work?  Do you *like* installation processes that involve
 > > editting your only rc.local?
 > 
 > Eh, you can either add a bogous command to rc.local and cause the machine
 > to freeze at startup instead of booting, or you can write those commands
 > into rc.XY/SYZfoobar and achieve the same nice lockup...

Not true.  Adding startup scripts should be to run levels higher than
the initial "standalone" init level, so you can bring the machine up.
That's exactly why init levels are a Good Thing.

The biggest problem is with commercial software that wants to patch the
/etc/rc.local: they frequently screw it up.  Dropping a unique script
into /etc/rc.3 is much more difficult to get wrong.

 > > Look, having two divergent flavors of UNIX is a *bad* *thing*.  The

 > Two? Get alive...

Two main families.  I'm not counting AIX, as only RS/* users run it -- and
OSF/1 hasn't really hit the big time yet.

 > SVR4 is SYSV, with BSD-"compatibility", apparently done from people who didn't
 > know at all what they really had to emulate. I'd make (1) "cross-pollution"...

Ah.  Anti-SV bigotry - with ignorance, to boot.  See below.

 > > easy.  SVR4 is by far the most BSDish of the UNIces about, thanks largely
 > > to Sun.  They took a lot of good ideas and put 'em to work in SVR4 because
 > > they worked and addressed real problems, added real functionality.
 > 
 > Eh, talking about SVR4 or Solaris2?

(Sigh)  Sun worked with AT&T to produce SVR4, an attempt to being the
best features of BSD to SV -- all flavors of SVR4 are based upon that
mutual work.  Solaris 2 is what Sun put out as a result of that
collaboration, while SVR4 is what AT&T put out as a result of the same
collaboration.

 > > you still have world readable encrypted passwords in /etc/passwd?
 > 
 > You want -lshadow kludge then, instead of the master.passwd hiding currently
 > used?

You're totally ignoring my point: the exact mechanism is not imporant -- the
features are.

I'm not saying we should go for SVR4 compatability: I'm saying that there
are features in SVR4 that are good and desirable: and they should be put
into NetBSD, so we can have the best of both worlds.

 > >Solaris 2 is not an upgrade from Solaris 1. They just want you to THINK it is.

They said that about 3.5 to 4.0, too.  And the Sun3 architecture to SPARC,
for that matter.
--
L. Todd Masco  | "Hide, witch, hide!  The good folk come to burn thee, their
[email-masked]  |  keen enjoyment hid behind a gothic mask of duty." -JS/BATE